summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-backup/mylvmbackup/mylvmbackup-0.13.ebuild')
-rw-r--r--app-backup/mylvmbackup/mylvmbackup-0.13.ebuild32
1 files changed, 32 insertions, 0 deletions
diff --git a/app-backup/mylvmbackup/mylvmbackup-0.13.ebuild b/app-backup/mylvmbackup/mylvmbackup-0.13.ebuild
new file mode 100644
index 000000000000..99f1638f3f10
--- /dev/null
+++ b/app-backup/mylvmbackup/mylvmbackup-0.13.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+DESCRIPTION="mylvmbackup is a tool for quickly creating backups of MySQL server's data files using LVM snapshots"
+HOMEPAGE="http://lenzg.net/mylvmbackup/"
+SRC_URI="http://lenzg.net/${PN}/${P}.tar.gz"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86 ~ppc ~amd64"
+IUSE=""
+DEPEND=""
+RDEPEND="dev-perl/Config-IniFiles
+ >=sys-fs/lvm2-2.02.06
+ dev-perl/DBD-mysql
+ virtual/mysql
+ dev-perl/TimeDate"
+
+src_unpack() {
+ unpack ${A}
+ sed -i \
+ -e '/^prefix/s,/usr/local,/usr,' \
+ "${S}"/Makefile
+ sed -i 's|mycnf=/etc/my.cnf|mycnf=/etc/mysql/my.cnf|' "${S}"/mylvmbackup.conf
+}
+
+src_install() {
+ emake install DESTDIR="${D}" mandir="/usr/share/man" || die
+ dodoc ChangeLog README TODO
+ keepdir /var/tmp/${PN}/{backup,mnt}
+ fperms 0700 /var/tmp/${PN}/
+}